Subject: bug#14886: Fwd: A significant slowdown calling font-lock-fontify-buffer from a hook

From: Juanma Barranquero <[email-masked]>
Date: Wed, 17 Jul 2013 15:43:20 +0200

On Wed, Jul 17, 2013 at 2:50 PM, Paul Eggert <[email-masked]> wrote:

> Could be.  Did the problem start happening with
> trunk bzr 113359?  If so, I would suspect that
> it's the recent changes to syntax.c.

I think the bug I reported started before 113359. I have a checkout of
112954, I'll try bootstrapping it and report back.

> On Emacs 24.3 (configured with --enable-profiling,
> but compiled with the default -O2 optimization) this
> takes 1.1 s (user + system CPU time).  In the current
> trunk (bzr 113441) it takes 50.1 s.

That's similar to what I see: 2s vs 34s approx.

>
> The difference is so large that there must be something
> else going on.  Looking at the gprof outputs (attached)
> it appears that 24.3 is invoking scan_sexps_forward
> only 1628 times, whereas the current trunk is invoking
> it 400829 times.  So I assume that most of the performance
> difference is something at the Lisp level.

Could be.

> Or perhaps I'm
> just not running the correct test case?

What about Eli's test case? What do you see?

   J